<style>
  .music-absolute{
      position:fixed;
      z-index:10000;
      bottom:100px;
      padding:10px 10px;
      display:block;
      height: 70px;
      width: 70px;
      border-radius: 50%;
      outline:0;
      border:none;
      cursor:pointer;
      transition:0.3s;
      background-color: rgb(247 245 265 / 30%);
      box-shadow: 2px 2px 6px rgb(40 40 40 / 60%);
      left:30px;
  }
  
  .music-absolute .play-button{
      width:26px;
      margin-top:2px;
      margin-left:-2px;
  }
  
  .music-absolute .stop-button{
      width:20px;
      margin-top:3px;
      margin-left:1px;
  }
  </style>
  
  <button class="btn play-button music-absolute" onclick="changeMusic()">
      <img class="play-button" src="https://nencatacoa.co/wp-content/uploads/2021/04/music-on.png" id="icon1" class="icon-sm play-icon">
      <img  class="stop-button" src="https://nencatacoa.co/wp-content/uploads/2021/04/music-off.png" id="icon2" class="icon-sm play-icon">
  </button>
  
  <audio id="audioplayer" loop src="https://nencatacoa.co/wp-content/uploads/2021/04/inti-tayta-mama-quilla-bombo-con-o-charango.mp3"></audio>
  
  <script>
  var switchplay = true;
  var audioElement = document.getElementById('audioplayer');
  
  audioElement.volume=0.2;
  
  var promise = audioElement.play();
  
  if (promise !== undefined) {
    promise.then(_ => {
      changeMusic();
    }).catch(error => {
      // Autoplay was prevented.
      console.log("Autoplay not Allowed")
    });
  }
  
  function changeMusic(){
      if(switchplay){
          audioElement.play();
          $("#icon1").hide();
          $("#icon2").show();
      }
      else{
          audioElement.pause();  
          $("#icon2").hide();
          $("#icon1").show();          
      }
      switchplay=!switchplay; 
  }
  
  function playMusic(){
      audioElement.play();
      $("#icon1").hide();
      $("#icon2").show();
      switchplay=false;
  }
  </script>